Subject: [lp-wan] I-D Action: draft-ietf-lpwan-schc-compound-ack-02.txt

From: [email-masked]
Date: Fri, 10 Dec 2021 11:55:31 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 over Low Power Wide-Area Networks WG of the IETF.

        Title           : SCHC Compound ACK
        Authors         : Juan Carlos Zúñiga
                          Carles Gomez
                          Sergio Aguilar
                          Laurent Toutain
                          Sandra Céspedes
                          Diego Wistuba
	Filename        : draft-ietf-lpwan-schc-compound-ack-02.txt
	Pages           : 11
	Date            : 2021-12-10

Abstract:
   The present document describes an extension to the SCHC (Static
   Header Compression and Fragmentation) protocol [RFC8724].  It defines
   a SCHC Compound ACK message format, which is intended to reduce the
   number of downlink transmissions (i.e., SCHC ACKs) by accumulating
   bitmaps of several windows in a single SCHC message (i.e., the SCHC
   Compound ACK).

   The message format is generic, and can be used, for instance, by any
   of the four LWPAN technologies defined in [RFC8376], being Sigfox,
   LoRaWAN, NB-IoT and IEEE 802.15.4w.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lpwan-schc-compound-ack/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-lpwan-schc-compound-ack-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lpwan-schc-compound-ack-02

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Juan Carlos Zuniga <[email-masked]>
Date: Fri, 10 Dec 2021 20:04:40 +0000

Dear LPWANers,

As per the discussions during the last Interim meeting, we have just submitted a new revision of the draft addressing all the comments received.

Many thanks to Dominique and Pascal for their thorough reviews and detailed comments!

The new version includes:

- a corrected YANG model,
- a new YANG tree,
- addendum to Annex D of RFC 8724,
- delta to section 8.4.3 of RFC 8724,
- and multiple clarifications and nits.

Happy holidays to everyone!

Cheers,

Juan Carlos et al.

-----Original Message-----
From: lp-wan <[email-masked]> On Behalf Of [email-masked]
Sent: December 10, 2021 2:56 PM
To: [email-masked]
Cc: [email-masked]
Subject: [lp-wan] I-D Action: draft-ietf-lpwan-schc-compound-ack-02.txt

CAUTION: EXTERNAL EMAIL. Do not click links or open unless you recognize the sender and know the content is safe.

Abstract:

The IETF datatracker status page for this draft is:
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lpwan-schc-compound-ack%2F&amp;data=04%7C01%7Cjuancarlos.zuniga%40sigfox.com%7C3e3d9145a99c4651a68008d9bc172c70%7Cfcbc8bb1061e4b949f703ad917b0c8d3%7C0%7C0%7C637747630011655106%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=6J264M5oKgvzKg7C5viVGXA9Ikt6ZzKb4vffuEpMO7s%3D&amp;reserved=0

There is also an htmlized version available at:
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-lpwan-schc-compound-ack-02&amp;data=04%7C01%7Cjuancarlos.zuniga%40sigfox.com%7C3e3d9145a99c4651a68008d9bc172c70%7Cfcbc8bb1061e4b949f703ad917b0c8d3%7C0%7C0%7C637747630011655106%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=aujaN5p1f0W9RkNoFYgFnwmqDC4v8%2Bq0yVjX2NfrmIU%3D&amp;reserved=0

A diff from the previous version is available at:
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lpwan-schc-compound-ack-02&amp;data=04%7C01%7Cjuancarlos.zuniga%40sigfox.com%7C3e3d9145a99c4651a68008d9bc172c70%7Cfcbc8bb1061e4b949f703ad917b0c8d3%7C0%7C0%7C637747630011655106%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=RlVcdfm9JIafrvmkQa19mHNPOCse%2BSYg9gd%2BjfplsnI%3D&amp;reserved=0

_______________________________________________
lp-wan mailing list
[email-masked]
https://eur03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flp-wan&amp;data=04%7C01%7Cjuancarlos.zuniga%40sigfox.com%7C3e3d9145a99c4651a68008d9bc172c70%7Cfcbc8bb1061e4b949f703ad917b0c8d3%7C0%7C0%7C637747630011655106%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=j3LRe9CWBTB1wiGJVLgZgwOVSPOVXXbIyYHKW83UtWE%3D&amp;reserved=0
Your privacy is important to us. Please see our Privacy Notice<https://www.sigfox.com/en/privacy-and-cookies-policy> for further details. The information contained in this Message is confidential. If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this Message in error, please delete it and all copies from your system and notify the sender immediately by return message. Any use of information contained in this Message not in accordance with its intended purpose, any dissemination or disclosure (either whole or partial), is prohibited unless expressly authorized. Email communication cannot be guaranteed to be timely secure, error or virus-free. The sender cannot be held responsible for any alteration, errors or omissions, which arise as a result.

..................................................................................................................

La protection de vos données personnelles est primordiale pour notre établissement. Merci de consulter notre notice sur la protection des données personnelles <https://www.sigfox.com/en/privacy-and-cookies-policy> pour plus d’informations. Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires. Les informations qui y figurent sont confidentielles. Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Veuillez également en avertir immédiatement l'expéditeur par retour du Message. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse. Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, soient sécurisées ou dénuées de toute erreur ou virus. L'expéditeur ne peut être tenu responsable des modifications, erreurs ou omissions qui pourraient en résulter.